apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-prometheus-metrics-rollout
  namespace: argocd
spec:
  description: Allow access to the Prometheus metrics
  endpointSelector:
    matchLabels:
      app.kubernetes.io/instance: argo-rollouts
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: prometheus
      toPorts:
        - ports:
            - port: "8090"
              protocol: TCP
